import { localize } from 'vscode/vscode/vs/nls';
import { RawContextKey } from 'vscode/vscode/vs/platform/contextkey/common/contextkey';

const CHAT_EDITING_MULTI_DIFF_SOURCE_RESOLVER_SCHEME = 'chat-editing-multi-diff-source';
const chatEditingWidgetFileStateContextKey = ( (new RawContextKey('chatEditingWidgetFileState', undefined, ( localize(7700, "The current state of the file in the chat editing widget")))));
const decidedChatEditingResourceContextKey = ( (new RawContextKey('decidedChatEditingResource', [])));
const chatEditingResourceContextKey = ( (new RawContextKey('chatEditingResource', undefined)));
const inChatEditingSessionContextKey = ( (new RawContextKey('inChatEditingSession', undefined)));
const applyingChatEditsContextKey = ( (new RawContextKey('isApplyingChatEdits', undefined)));
const isChatRequestCheckpointed = ( (new RawContextKey('isChatRequestCheckpointed', false)));
const hasUndecidedChatEditingResourceContextKey = ( (new RawContextKey('hasUndecidedChatEditingResource', false)));
const hasAppliedChatEditsContextKey = ( (new RawContextKey('hasAppliedChatEdits', false)));
const applyingChatEditsFailedContextKey = ( (new RawContextKey('applyingChatEditsFailed', false)));
const chatEditingMaxFileAssignmentName = 'chatEditingSessionFileLimit';
const defaultChatEditingMaxFileLimit = 10;

export { CHAT_EDITING_MULTI_DIFF_SOURCE_RESOLVER_SCHEME, applyingChatEditsContextKey, applyingChatEditsFailedContextKey, chatEditingMaxFileAssignmentName, chatEditingResourceContextKey, chatEditingWidgetFileStateContextKey, decidedChatEditingResourceContextKey, defaultChatEditingMaxFileLimit, hasAppliedChatEditsContextKey, hasUndecidedChatEditingResourceContextKey, inChatEditingSessionContextKey, isChatRequestCheckpointed };
